Bug 1084596 - [GSS] (6.3.0) Backport PLINK-396
Summary: [GSS] (6.3.0) Backport PLINK-396
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: EAP 6.3.0
Assignee: Anil Saldhana
QA Contact: Hynek Mlnarik
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1084593 1084600 1091177
TreeView+ depends on / blocked
 
Reported: 2014-04-04 19:19 UTC by Derek Horton
Modified: 2015-09-01 03:34 UTC (History)
6 users (show)

(edit)
In previous verions of JBoss EAP 6, it was found that PicketLink's `IDPWebBrowserSSOValve` and `IDPFilter` were decoding the relaystate, which was contrary to the SAML specification. This has been addressed in this release of the product.
Clone Of: 1084594
: 1084601 (view as bug list)
(edit)
Last Closed: 2014-06-28 15:26:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PLINK-396 Major Closed IDPWebBrowserSSOValve and IDPFilter are decoding the relaystate 2016-02-12 13:33 UTC

Description Derek Horton 2014-04-04 19:19:51 UTC
Backport PLINK-396

Comment 1 Hynek Mlnarik 2014-04-29 15:15:03 UTC
Verified in 6.3.0.ER2

Comment 2 sgilda 2014-05-12 19:59:52 UTC
Changed <literal></literal> tags in Doc Text to ticks (`) to fix Bug 1096865


Note You need to log in before you can comment on or make changes to this bug.